require File.expand_path('lib/web_package/rails/version', __dir__)
require 'date'

Gem::Specification.new do |s|
  s.name        = 'web_package-rails'
  s.version     = WebPackage::Rails::VERSION
  s.date        = Date.today.to_s
  s.summary     = 'Web packaging middleware for Rails.'
  s.description = 'Provides integration of Signed HTTP Exchange format into Rails 3+, allowing a '\
                  'browser to trust that a HTTP request-response pair was generated by the '\
                  'origin it claims.'
  s.authors     = ['Oleg Afanasyev', 'Alexey Martynyuk']
  s.email       = ['gafrom@gmail.com']
  s.homepage    = 'https://github.com/gafrom/web_package-rails'
  s.license     = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.require_paths = ['lib']

  s.required_ruby_version = '>= 2.2.0'

  s.add_runtime_dependency 'railties',    '>= 3.1'
  s.add_runtime_dependency 'web_package', '~> 0.1'

  s.add_development_dependency 'rubocop', '~> 0.67'
end
